.app {
    width: 100%;
    min-height: 100%;
    display: flex;
    padding-bottom: 20px;
    flex-direction: column;
    color: white;
    padding-top: 5%;
}

.main-title {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main-title > h1 {
    font-size: 2em;
    text-align: center;
    display: inline;
}

.main-title > img {
    margin: 0 1em;
}

.image-back {
    flex-shrink: 0;
    position: absolute;
    width: fit-content;
    font-size: 0;
    width: 100%;
    z-index: -1;
}

.image-back > img {
    min-height: 35vh;
    height: 100%;
    width: 100%;
    object-fit: cover;
    filter: brightness(0.5);
}

.image-back > .image-mask {
    height: 100%;
    width: 100%;
    background: rgb(40, 55, 83);
    background: linear-gradient(0deg, rgb(28, 38, 60) 15%, rgba(0, 0, 0, 0) 100%);
    min-height: 100%;
    display: block;
    position: absolute;
    top: 0;
}

.rotation-list {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.rotation-back {
    background: rgb(0, 22, 148);
    background: linear-gradient(90deg, rgba(39, 39, 175, 1) 0%, rgba(145, 39, 39, 1) 100%);
    width: 46%;
    border-radius: 50px;
    padding: 3px;
    height: 4em;
    margin: 1em;
    overflow: hidden;
}

.both-rotation-back {
    background: rgb(93 39 106);
    width: 30%;
}

.rotation {
    height: 100%;
    border-radius: 10px;
    background: rgb(0 0 0 / 10%);
    cursor: pointer;
    display: flex;
    background: linear-gradient(270deg, rgba(0,0,0,0) 0%, rgba(0,0,0,9) 50%, rgba(0,0,0,0) 100%);
}

.rotation > .rotation-panel {
    border-radius: 50px;
    color: lightgray;
    font-weight: bold;
    width: 100%;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: .3s;
    background: rgba(0, 0, 0, 0.3);
    text-decoration: none;
    border: none;
    outline: none;
    position: relative;
    overflow: hidden;
}

.rotation-panel > a {
    z-index: 2;
    color: lightgray;
    font-weight: bold;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

.rotation-panel > a > span {
    width: 100%;
}

.rotation-panel:hover > img {
    opacity: 1;
}

.rotation-panel> a:hover {
    background: none;
    color: white;
}

.rotation > img {
    height: 100%;
    background: rgb(0 0 0 / 90%);
    padding: 5px;
    opacity: .5;
    transition: .3s;
}

.rotation:hover > img {
    opacity: 1;
}

.main-panel > .rotation-icon {
    margin-right: 1em;
}

.main-panel > a {
    display: flex;
    align-items: center;
}

.main-panel > a .rotation-icon {
    margin: 0 10px;
}

.panel-back {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.25);
    opacity: 0;
    transition: .3s;
}

.rotation-bis {
    height: 90%;
    position: relative;
    border-radius: 50%;
    overflow: hidden;
    border: 2px solid lightgray;
    aspect-ratio: 1/1;
    background-color: rgb(0 0 0 / 50%);
    flex-shrink: 0;
    margin: 5px;
}

.left-panel .rotation-bis {
    border-color: rgba(39, 39, 175, 1);
}

.right-panel .rotation-bis {
    border-color: rgba(145, 39, 39, 1);
}

@media screen and (max-width: 1024px) {
    .rotation-back {
        width: 75%;
    }
}


@media screen and (max-width: 768px) {
    .app {
        padding-top: 15%;
    }

    .rotation-back {
        width: 95%;
        height: 3.5em;
        margin: 0.5em;
    }
}